fltmc >nul 2>&1 || (
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\GetAdmin.vbs"
    echo UAC.ShellExecute "辅助工具.cmd", "", "", "runas", 1 >> "%temp%\GetAdmin.vbs"
    cmd /u /c type "%temp%\GetAdmin.vbs">"%temp%\GetAdminUnicode.vbs"
    cscript //nologo "%temp%\GetAdminUnicode.vbs"
    del /f /q "%temp%\GetAdmin.vbs" >nul 2>&1
    del /f /q "%temp%\GetAdminUnicode.vbs" >nul 2>&1
    exit
)
@echo off

cd /d "%~dp0"
del /f /q "%~dp0Upath.txt"
del /f /q "%~dp0isolist.txt"
del /f /q "%~dp0core\version_ol.txt"
del /f /q "%~dp0burn_check.txt"
del /f /q "%~dp0burn_target.txt"
del /f /q "%~dp0update_way.txt"
del /f /q "%~dp0core\burnername.txt"
del /f /q "%~dp0core\md5_iso.txt"
del /f /q "%~dp0core\md5_ol.txt"

color 3f
title Edgeless启动盘制作工具辅助工具
:home
cd /d "%~dp0"
cls
echo.
echo 1.清空下载缓存
echo 2.清空解压缓存
echo 3.卸载IDM引擎并禁用IDM引擎
echo 4.恢复IDM引擎云控状态
echo 5.强制启用IDM引擎
echo.
set /p a=输入序号并回车：
if %a%==1 goto deleteCash
if %a%==2 (
    cls
    echo.
    echo.
    echo.
    echo        =============================
    echo            您确定要清空解压缓存？
    echo        =============================
    echo.
    echo.
    pause
    cls
    del /f /s /q core\Release
    rd /s /q core\Release
    echo.
    echo.
    echo        =======================
    echo            解压缓存清理完成
    echo        =======================
    echo.
    echo.
    pause
    goto home
)
if %a%==3 goto uninstallIDM
if %a%==4 (
    del /f /q core\NomoreIDM.txt
    del /f /q core\ForceIDM.txt
    cls
    echo.
    echo IDM引擎已恢复使用，是否使用IDM引擎会受到云端控制
    echo.
    pause
)
if %a%==5 (
    del /f /q core\NomoreIDM.txt
    cd core
    echo ForceIDM>ForceIDM.txt
    cls 
    echo.
    echo IDM引擎将会被强制启用
    echo.
    pause
)
goto home



:deleteCash
cls
echo.
echo.
echo.
echo        =============================
echo            您确定要清空下载缓存？
echo        =============================
echo.
echo.
pause
cls
del /f /q core\Edgeless.iso
del /f /q core\version_iso.txt
echo.
echo.
echo        =======================
echo            下载缓存清理完成
echo        =======================
echo.
echo.
pause
goto home



:uninstallIDM
cls
echo.
echo.
echo.
echo        =============================
echo            您确定要禁用IDM引擎？
echo        =============================
echo.
echo.
pause
del /f /q core\ForceIDM.txt
cd core
echo NomoreIDM>NomoreIDM.txt
cd IDM
cls
echo 正在运行IDM引擎卸载程序，请稍等...
call Uninstall.bat
cls
echo.
echo   我们已经永久禁用此文件夹内下载组件的IDM引擎的使用
echo    如果您愿意反馈原因，请在内测群艾特群主进行反馈
echo.
pause
goto home